> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperbeam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set User Permissions

> [!WARNING]
>
> This endpoint is deprecated, please use [addRoles](https://docs.hyperbeam.com/rest-api/session/add-roles.md) and [removeRoles](https://docs.hyperbeam.com/rest-api/session/remove-roles.md) instead

## Parameters

**priority** `integer` (default: 0)

Higher value = higher priority. Users with a higher priority will preempt the
control of lower priority users.

**idle\_timeout** `integer` (default: 0)

Number of milliseconds until a user is considered "idle". Once a user is
considered idle, they no longer preempt lower priority users until they
interact with the virtual browser again.

**control\_disabled** `boolean` (default: \{control\_disable\_default})

If control\_disabled = true, all control input (mouse movements, keyboard
presses) will be ignored. Note that disabling control does not restrict access
to any APIs that require admin tokens.

```bash cURL theme={null}
curl -X POST -H 'Authorization: Bearer <your-api-key>' \
    <base_url>/setPermissions -d '["<user_id>", {"control_disabled": false, "control_exclusive": true}]'
```

The request body mirrors the function signature of setPermissions(userId, permissions) from the [JavaScript SDK.](https://docs.hyperbeam.com/client-sdk/javascript)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.